package ru.micord.ervu.audit.model;


/**
 * @author Adel Kalimullin
 */

public class AuditDownloadEvent extends AuditEvent {
  private String downloadType;
  private String fileName;
  private String s3FileUrl;
  private String fileSize;
  private String status;

  public AuditDownloadEvent(
      String esiaOrgId, String esiaPersonId, String eventTime,
      String downloadType, String fileName, String s3FileUrl,
      String fileSize, String status) {
    super(esiaOrgId, esiaPersonId, eventTime);
    this.downloadType = downloadType;
    this.fileName = fileName;
    this.s3FileUrl = s3FileUrl;
    this.fileSize = fileSize;
    this.status = status;
  }

  public String getDownloadType() {
    return downloadType;
  }

  public void setDownloadType(String downloadType) {
    this.downloadType = downloadType;
  }

  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }

  public String getS3FileUrl() {
    return s3FileUrl;
  }

  public void setS3FileUrl(String s3FileUrl) {
    this.s3FileUrl = s3FileUrl;
  }

  public String getFileSize() {
    return fileSize;
  }

  public void setFileSize(String fileSize) {
    this.fileSize = fileSize;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }
}
